Bug 187104 - Update cad/calculix to version 2.7
Summary: Update cad/calculix to version 2.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Maho Nakata
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-27 00:50 UTC by Pedro F. Giffuni
Modified: 2014-03-10 04:24 UTC (History)
0 users

See Also:


Attachments
file.diff (21.76 KB, patch)
2014-02-27 00:50 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2014-02-27 00:50:01 UTC
- Update to latest version (2.7)
- Support STAGEDIR
- Use the native port scripts to copy directories.
- Attempt to clean some mess in the option management. portlint was of help here.
- Use METIS_EDF by default so we can install this with code-aster.

Functionally, the new version has switched off CFD as that was not working very well. A new CFD implementation is being developed. Also support for tet-meshes were implemented.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-02-27 00:50:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->maho

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-03-04 00:18:40 UTC
Author: maho
Date: Tue Mar  4 00:18:31 2014
New Revision: 346978
URL: http://svnweb.freebsd.org/changeset/ports/346978
QAT: https://qat.redports.org/buildarchive/r346978/

Log:
  Update cad/calculix to version 2.7
  
  PR:		187104
  Submitted by:	pfg@

Modified:
  head/cad/calculix/Makefile
  head/cad/calculix/distinfo
  head/cad/calculix/files/patch-ccx_VER+src+CalculiX.h
  head/cad/calculix/files/patch-ccx_VER+src+Makefile
  head/cad/calculix/files/patch-cgx_VER+src+Makefile
  head/cad/calculix/files/patch-cgx_VER+src+cgx.h
  head/cad/calculix/pkg-plist

Modified: head/cad/calculix/Makefile
==============================================================================
--- head/cad/calculix/Makefile	Tue Mar  4 00:06:59 2014	(r346977)
+++ head/cad/calculix/Makefile	Tue Mar  4 00:18:31 2014	(r346978)
@@ -2,22 +2,15 @@
 # $FreeBSD$
 
 PORTNAME=	CalculiX
-PORTVERSION=	2.6.1
-PORTREVISION=	1
+PORTVERSION=	2.7
 CATEGORIES=	cad
 MASTER_SITES=	http://www.dhondt.de/
 DISTFILES=	${DIST_SOURCES}
-.if !defined(NOPORTDOCS)
-DISTFILES+=	${DIST_HTM} ${DIST_PS} ${DIST_PDF}
-.endif
 .ifdef WITH_EXAMPLES
 DISTFILES+=	${DIST_EXAMPLES}
 .endif
 DIST_SUBDIR=	calculix
 EXTRACT_ONLY=	${DIST_SOURCES}
-.if !defined(NOPORTDOCS)
-EXTRACT_ONLY+=	${DIST_HTM} ccx_${PORTVERSION}.ps${EXTRACT_SUFX}
-.endif
 .ifdef WITH_EXAMPLES
 EXTRACT_ONLY+=	${DIST_EXAMPLES}
 .endif
@@ -43,6 +36,9 @@ DIST_EXAMPLES=	ccx_${PORTVERSION}.test${
 		cgx_${PORTVERSION}.exa${EXTRACT_SUFX}
 
 WRKSRC=		${WRKDIR}/${PORTNAME}
+CCX_VER=	ccx_${PORTVERSION}
+CGX_VER=	cgx_${PORTVERSION}
+
 USES=		fortran gmake
 USE_GCC=	yes
 USE_XORG=	xmu
@@ -51,14 +47,15 @@ USE_GL=	glut
 BROWSER?=	firefox
 PSVIEWER?=	gv
 
-CCX_VER=	ccx_${PORTVERSION}
-CGX_VER=	cgx_2.6
+OPTIONS_DEFINE= METIS METIS_EDF
+OPTIONS_DEFAULT=METIS
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
-OPTIONS_DEFINE= METIS METIS_EDF
-OPTIONS_DEFAULT=METIS
+.if $(PORT_OPTIONS:MDOCS)
+DISTFILES+=	${DIST_HTM} ${DIST_PS} ${DIST_PDF}
+EXTRACT_ONLY+=	${DIST_HTM} ccx_${PORTVERSION}.ps${EXTRACT_SUFX}
+.endif
 
 .if ${PORT_OPTIONS:MMETIS}
 LIB_DEPENDS+= 	libmetis.so:${PORTSDIR}/math/metis4
@@ -71,14 +68,14 @@ LIB_DEPENDS+= 	libmetis.so:${PORTSDIR}/m
 WITH_ATLAS=             yes
 .endif
 .if defined(WITH_ATLAS)
-LIB_DEPENDS+=		libatlas.so:${PORTSDIR}/math/atlas
-BLAS_LIBS=		-lf77blas
-LAPACK_LIBS=		-lalapack -lcblas
+LIB_DEPENDS+=	libatlas.so:${PORTSDIR}/math/atlas
+BLAS_LIBS=	-lf77blas
+LAPACK_LIBS=	-lalapack -lcblas
 .else
-LIB_DEPENDS+=		libblas.so:${PORTSDIR}/math/blas
-LIB_DEPENDS+=		liblapack.so:${PORTSDIR}/math/lapack
-BLAS_LIBS=		-lblas
-LAPACK_LIBS=		-llapack
+LIB_DEPENDS+=	libblas.so:${PORTSDIR}/math/blas
+LIB_DEPENDS+=	liblapack.so:${PORTSDIR}/math/lapack
+BLAS_LIBS=	-lblas
+LAPACK_LIBS=	-llapack
 .endif
 
 .if ${ARCH} == "sparc64"
@@ -120,29 +117,28 @@ do-build:
 
 do-install:
 	@${INSTALL_PROGRAM} ${WRKSRC}/${CCX_VER}/src/${CCX_VER} \
-	  ${PREFIX}/bin/ccx
+	  ${STAGEDIR}${PREFIX}/bin/ccx
 	@${INSTALL_PROGRAM} ${WRKSRC}/${CGX_VER}/src/cgx \
-	  ${PREFIX}/bin/cgx
+	  ${STAGEDIR}${PREFIX}/bin/cgx
 .if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
-	@${MKDIR} ${DOCSDIR}/ccx
-	@${INSTALL_DATA} ${WRKSRC}/${CCX_VER}/doc/ccx/* \
-	  ${DOCSDIR}/ccx
-	@${MKDIR} ${DOCSDIR}/cgx
-	@${INSTALL_DATA} ${WRKSRC}/${CGX_VER}/doc/cgx/* \
-	  ${DOCSDIR}/cgx
-	@${INSTALL_DATA} ${WRKSRC}/${CCX_VER}/doc/*.ps ${DOCSDIR}
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}/ccx
+	@(cd ${WRKSRC}/${CCX_VER}/doc/ccx && ${COPYTREE_SHARE} . \
+	  ${STAGEDIR}${DOCSDIR}/ccx)
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}/cgx
+	@(cd ${WRKSRC}/${CGX_VER}/doc/cgx && ${COPYTREE_SHARE} . \
+	  ${STAGEDIR}${DOCSDIR}/cgx)
+	@${INSTALL_DATA} ${WRKSRC}/${CCX_VER}/doc/${CCX_VER}.ps ${STAGEDIR}${DOCSDIR}
+	@${GZIP_CMD} ${STAGEDIR}${DOCSDIR}/${CCX_VER}.ps
 	@${INSTALL_DATA} ${DISTDIR}/${DIST_SUBDIR}/cgx_${PORTVERSION}.pdf \
-	  ${DOCSDIR}
-	@${GZIP_CMD} ${DOCSDIR}/*.ps
+	  ${STAGEDIR}${DOCSDIR}
 .endif
 .ifdef WITH_EXAMPLES
-	@${MKDIR} ${EXAMPLESDIR}
-	@${TAR} cf - -C ${WRKSRC}/${CGX_VER}/examples . | ${TAR} xf - -C ${EXAMPLESDIR}
-	@${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${EXAMPLESDIR}
-	@${MKDIR} ${EXAMPLESDIR}/test
-	@${TAR} cf - -C ${WRKSRC}/${CCX_VER}/test . | ${TAR} xf - -C ${EXAMPLESDIR}/test
-	@${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${EXAMPLESDIR}
+	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
+	@(cd ${WRKSRC}/${CGX_VER}/examples && ${COPYTREE_SHARE} . \
+	  ${STAGEDIR}${EXAMPLESDIR})
+	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}/test
+	@(cd ${WRKSRC}/${CCX_VER}/test && ${COPYTREE_SHARE} . \
+	  ${STAGEDIR}${EXAMPLESDIR}/test)
 .endif
 
 .include <bsd.port.mk>

Modified: head/cad/calculix/distinfo
==============================================================================
--- head/cad/calculix/distinfo	Tue Mar  4 00:06:59 2014	(r346977)
+++ head/cad/calculix/distinfo	Tue Mar  4 00:18:31 2014	(r346978)
@@ -1,16 +1,16 @@
-SHA256 (calculix/ccx_2.6.1.src.tar.bz2) = 955980e51dab068e8b5afd0d3e06916d5cb23663643d8c4107c32e2eecb90143
-SIZE (calculix/ccx_2.6.1.src.tar.bz2) = 979296
-SHA256 (calculix/cgx_2.6.1.all.tar.bz2) = 42ba77732370d675d3a9ddb8fe1bf86aa5c63c393a9434c7ee94eacc72a454ae
-SIZE (calculix/cgx_2.6.1.all.tar.bz2) = 1333790
-SHA256 (calculix/ccx_2.6.1.htm.tar.bz2) = 590a2af8e90b71b783ab20247267a39b47c19b8a947baf72101aec76c47cd0ac
-SIZE (calculix/ccx_2.6.1.htm.tar.bz2) = 1675847
-SHA256 (calculix/cgx_2.6.1.htm.tar.bz2) = bb4a9d6cc41fc812fa4a908e4981c0cd323e3e389c379a442b88585b7c245edc
-SIZE (calculix/cgx_2.6.1.htm.tar.bz2) = 341597
-SHA256 (calculix/ccx_2.6.1.ps.tar.bz2) = dd2881ee861adceff753e11055181bd9e5420ffd6d33cf144a5fb518f2081ab2
-SIZE (calculix/ccx_2.6.1.ps.tar.bz2) = 2250619
-SHA256 (calculix/cgx_2.6.1.pdf) = 7876a534eb14c3380d36d6d68ce280ed9d123038e734c785d73f8a269b1d655f
-SIZE (calculix/cgx_2.6.1.pdf) = 1066850
-SHA256 (calculix/ccx_2.6.1.test.tar.bz2) = 83f710b4d7b69067782543034e1e87af5da107f82817880ee1b98e6a1b62226c
-SIZE (calculix/ccx_2.6.1.test.tar.bz2) = 8259134
-SHA256 (calculix/cgx_2.6.1.exa.tar.bz2) = bdb272c9c1f02c3d25529c1e83e33f715a205a71b29c0617bc257c7e17cb0ec5
-SIZE (calculix/cgx_2.6.1.exa.tar.bz2) = 213870
+SHA256 (calculix/ccx_2.7.src.tar.bz2) = b2b036f1466575281f17ca5e62560c6c021bb2a0680256bae4bcf517e9316516
+SIZE (calculix/ccx_2.7.src.tar.bz2) = 821823
+SHA256 (calculix/cgx_2.7.all.tar.bz2) = 5378a664b52e64910afb896885fe63e1a2e639f3b4e0256eef4e71e96c6a10d2
+SIZE (calculix/cgx_2.7.all.tar.bz2) = 1660205
+SHA256 (calculix/ccx_2.7.htm.tar.bz2) = 884a298575da55aee9b67391c111d7007ad70f828c15cfe4ef87a4153f631529
+SIZE (calculix/ccx_2.7.htm.tar.bz2) = 1671884
+SHA256 (calculix/cgx_2.7.htm.tar.bz2) = 6468a330520dba5592e197f6d94511166a1d6835294a23b62c86015db4135170
+SIZE (calculix/cgx_2.7.htm.tar.bz2) = 344295
+SHA256 (calculix/ccx_2.7.ps.tar.bz2) = 9d21538e227b7fe84e1a6fa39f2316164c4d6aa378cdd7a2faa494a531e3bfc6
+SIZE (calculix/ccx_2.7.ps.tar.bz2) = 2394510
+SHA256 (calculix/cgx_2.7.pdf) = 8af937b79236085e6caf5b9b399cafaebda7a9dda0193522cd00ed5a09d18363
+SIZE (calculix/cgx_2.7.pdf) = 1082452
+SHA256 (calculix/ccx_2.7.test.tar.bz2) = 956af03a3a98ebdc0c2f9de5a1f5e54bcf0a94feb8bbf572ecea4b1832f36f00
+SIZE (calculix/ccx_2.7.test.tar.bz2) = 8448427
+SHA256 (calculix/cgx_2.7.exa.tar.bz2) = 3a21e739e1d24ef1096c0bcd86cfcdeee59b2bf944da09085d0ee8f835b9deda
+SIZE (calculix/cgx_2.7.exa.tar.bz2) = 491387

Modified: head/cad/calculix/files/patch-ccx_VER+src+CalculiX.h
==============================================================================
--- head/cad/calculix/files/patch-ccx_VER+src+CalculiX.h	Tue Mar  4 00:06:59 2014	(r346977)
+++ head/cad/calculix/files/patch-ccx_VER+src+CalculiX.h	Tue Mar  4 00:18:31 2014	(r346978)
@@ -1,5 +1,5 @@
---- ccx_2.6.1/src/CalculiX.h.orig	2012-10-06 08:13:06.000000000 -0500
-+++ ccx_2.6.1/src/CalculiX.h	2013-03-04 15:33:04.000000000 -0500
+--- ccx_2.7/src/CalculiX.h.orig	2012-10-06 08:13:06.000000000 -0500
++++ ccx_2.7/src/CalculiX.h	2013-03-04 15:33:04.000000000 -0500
 @@ -15,6 +15,8 @@
  /*     along with this program; if not, write to the Free Software       */
  /*     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.         */

Modified: head/cad/calculix/files/patch-ccx_VER+src+Makefile
==============================================================================
--- head/cad/calculix/files/patch-ccx_VER+src+Makefile	Tue Mar  4 00:06:59 2014	(r346977)
+++ head/cad/calculix/files/patch-ccx_VER+src+Makefile	Tue Mar  4 00:18:31 2014	(r346978)
@@ -1,5 +1,5 @@
---- ccx_2.6.1/src/Makefile.orig	2012-10-06 08:13:07.000000000 -0500
-+++ ccx_2.6.1/src/Makefile	2013-03-02 22:17:29.000000000 -0500
+--- ccx_2.7/src/Makefile.orig	2012-10-06 08:13:07.000000000 -0500
++++ ccx_2.7/src/Makefile	2013-03-02 22:17:29.000000000 -0500
 @@ -1,9 +1,9 @@
  
 -CFLAGS = -Wall -O3  -I ../../../SPOOLES.2.2 -DARCH="Linux" -DSPOOLES -DARPACK -DMATRIXSTORAGE
@@ -25,9 +25,9 @@
 -       -lpthread -lm -lc
 +LIBS = -lspooles -larpack %%BLAS_LIBS%% %%LAPACK_LIBS%% -lm
  
- ccx_2.6.1: $(OCCXMAIN) ccx_2.6.1.a  $(LIBS)
--	./date.pl; $(CC) $(CFLAGS) -c ccx_2.6.1.c; $(FC) -Wall -O3 -o $@ $(OCCXMAIN) ccx_2.6.1.a $(LIBS)
-+	./date.pl; $(CC) $(CFLAGS) -c ccx_2.6.1.c; $(FC) -Wall -O3 -o $@ $(OCCXMAIN) ccx_2.6.1.a -lpthread  $(LIBS)
+ ccx_2.7: $(OCCXMAIN) ccx_2.7.a  $(LIBS)
+-	./date.pl; $(CC) $(CFLAGS) -c ccx_2.7.c; $(FC) -Wall -O3 -o $@ $(OCCXMAIN) ccx_2.7.a $(LIBS)
++	./date.pl; $(CC) $(CFLAGS) -c ccx_2.7.c; $(FC) -Wall -O3 -o $@ $(OCCXMAIN) ccx_2.7.a -lpthread  $(LIBS)
  
- ccx_2.6.1.a: $(OCCXF) $(OCCXC)
+ ccx_2.7.a: $(OCCXF) $(OCCXC)
  	ar vr $@ $?

Modified: head/cad/calculix/files/patch-cgx_VER+src+Makefile
==============================================================================
--- head/cad/calculix/files/patch-cgx_VER+src+Makefile	Tue Mar  4 00:06:59 2014	(r346977)
+++ head/cad/calculix/files/patch-cgx_VER+src+Makefile	Tue Mar  4 00:18:31 2014	(r346978)
@@ -1,11 +1,11 @@
---- cgx_2.6/src/Makefile.orig	2011-03-23 06:14:10.000000000 +0900
-+++ cgx_2.6/src/Makefile	2011-05-11 11:56:10.000000000 +0900
+--- cgx_2.7/src/Makefile.orig	2014-02-18 13:47:05.000000000 -0500
++++ cgx_2.7/src/Makefile	2014-02-26 15:01:59.000000000 -0500
 @@ -1,14 +1,14 @@
  CFLAGS = -O3 -Wall \
    -I./ \
    -I/usr/include \
 -  -I/usr/include/GL \
-+  -I$(LOCALBASE)/include/GL \
++  -I$(LOCALBASE)/GL \
    -I../../libSNL/src \
    -I../../glut-3.5/src \
 -  -I/usr/X11/include 
@@ -14,12 +14,12 @@
  LFLAGS = \
 -  -L/usr/lib64 -lGL -lGLU \
 -  -L/usr/X11R6/lib64 -lX11 -lXi -lXmu -lXext -lXt -lSM -lICE \
-+  -L$(LOCALBASE)/lib -lGL -lGLU \
++  -L$(LOCALBASE) -lGL -lGLU \
 +  -lX11 -lXi -lXmu -lXext -lXt -lSM -lICE \
-   -lm 
+   -lm -lpthread -lrt
  
- # on 32bit systems change lib64 to lib
-@@ -60,7 +60,7 @@
+ 
+@@ -62,7 +62,7 @@
  OUTIL = $(SUTIL:.c=.o)
  
  cgx: $(OLIB) $(OUTIL)

Modified: head/cad/calculix/files/patch-cgx_VER+src+cgx.h
==============================================================================
--- head/cad/calculix/files/patch-cgx_VER+src+cgx.h	Tue Mar  4 00:06:59 2014	(r346977)
+++ head/cad/calculix/files/patch-cgx_VER+src+cgx.h	Tue Mar  4 00:18:31 2014	(r346978)
@@ -1,11 +1,11 @@
---- cgx_2.6/src/cgx.h.orig	2009-08-13 15:58:59.000000000 +0900
-+++ cgx_2.6/src/cgx.h	2009-09-03 15:07:10.000000000 +0900
+--- cgx_2.7/src/cgx.h.orig	2009-08-13 15:58:59.000000000 +0900
++++ cgx_2.7/src/cgx.h	2009-09-03 15:07:10.000000000 +0900
 @@ -86,8 +86,8 @@
                               "/yaprod/cae/application/CalculiX/doc/ccx_2.0/ccx.html"}
    #endif
  #else
--  #define     HELPFILE        {"/usr/local/CalculiX/cgx_2.6/doc/cgx/cgx.html",\
--    "/usr/local/CalculiX/ccx_2.6/doc/ccx/ccx.html"}
+-  #define     HELPFILE        {"/usr/local/CalculiX/cgx_2.7/doc/cgx/cgx.html",\
+-    "/usr/local/CalculiX/ccx_2.7/doc/ccx/ccx.html"}
 +   #define     HELPFILE        {"%%DOCSDIR%%/cgx/cgx.html",\
 +     "%%DOCSDIR%%/ccx/ccx.html"}
  #endif

Modified: head/cad/calculix/pkg-plist
==============================================================================
--- head/cad/calculix/pkg-plist	Tue Mar  4 00:06:59 2014	(r346977)
+++ head/cad/calculix/pkg-plist	Tue Mar  4 00:18:31 2014	(r346978)
@@ -249,114 +249,16 @@ bin/cgx
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img1219.png
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img122.png
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img1220.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1221.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1222.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1223.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1224.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1225.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1226.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1227.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1228.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1229.png
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img123.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1230.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1231.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1232.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1233.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1234.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1235.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1236.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1237.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1238.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1239.png
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img124.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1240.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1241.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1242.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1243.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1244.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1245.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1246.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1247.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1248.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1249.png
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img125.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1250.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1251.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1252.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1253.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1254.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1255.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1256.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1257.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1258.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1259.png
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img126.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1260.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1261.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1262.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1263.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1264.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1265.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1266.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1267.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1268.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1269.png
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img127.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1270.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1271.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1272.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1273.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1274.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1275.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1276.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1277.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1278.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1279.png
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img128.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1280.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1281.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1282.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1283.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1284.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1285.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1286.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1287.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1288.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1289.png
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img129.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1290.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1291.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1292.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1293.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1294.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1295.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1296.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1297.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1298.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1299.png
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img13.png
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img130.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1300.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1301.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1302.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1303.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1304.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1305.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1306.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1307.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1308.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1309.png
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img131.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1310.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1311.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1312.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1313.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1314.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1315.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1316.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1317.png
-%%PORTDOCS%%%%DOCSDIR%%/ccx/img1318.png
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img132.png
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img133.png
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img134.png
@@ -1916,27 +1818,6 @@ bin/cgx
 %%PORTDOCS%%%%DOCSDIR%%/ccx/node633.html
 %%PORTDOCS%%%%DOCSDIR%%/ccx/node634.html
 %%PORTDOCS%%%%DOCSDIR%%/ccx/node635.html
-%%PORTDOCS%%%%DOCSDIR%%/ccx/node636.html
-%%PORTDOCS%%%%DOCSDIR%%/ccx/node637.html
-%%PORTDOCS%%%%DOCSDIR%%/ccx/node638.html
-%%PORTDOCS%%%%DOCSDIR%%/ccx/node639.html
-%%PORTDOCS%%%%DOCSDIR%%/ccx/node640.html
-%%PORTDOCS%%%%DOCSDIR%%/ccx/node641.html
-%%PORTDOCS%%%%DOCSDIR%%/ccx/node642.html
-%%PORTDOCS%%%%DOCSDIR%%/ccx/node643.html
-%%PORTDOCS%%%%DOCSDIR%%/ccx/node644.html
-%%PORTDOCS%%%%DOCSDIR%%/ccx/node645.html
-%%PORTDOCS%%%%DOCSDIR%%/ccx/node646.html
-%%PORTDOCS%%%%DOCSDIR%%/ccx/node647.html
-%%PORTDOCS%%%%DOCSDIR%%/ccx/node648.html
-%%PORTDOCS%%%%DOCSDIR%%/ccx/node649.html
-%%PORTDOCS%%%%DOCSDIR%%/ccx/node650.html
-%%PORTDOCS%%%%DOCSDIR%%/ccx/node651.html
-%%PORTDOCS%%%%DOCSDIR%%/ccx/node652.html
-%%PORTDOCS%%%%DOCSDIR%%/ccx/node653.html
-%%PORTDOCS%%%%DOCSDIR%%/ccx/node654.html
-%%PORTDOCS%%%%DOCSDIR%%/ccx/node655.html
-%%PORTDOCS%%%%DOCSDIR%%/ccx/node656.html
 %%PORTDOCS%%%%DOCSDIR%%/ccx/node64.html
 %%PORTDOCS%%%%DOCSDIR%%/ccx/node65.html
 %%PORTDOCS%%%%DOCSDIR%%/ccx/node66.html
@@ -1976,7 +1857,7 @@ bin/cgx
 %%PORTDOCS%%%%DOCSDIR%%/ccx/node97.html
 %%PORTDOCS%%%%DOCSDIR%%/ccx/node98.html
 %%PORTDOCS%%%%DOCSDIR%%/ccx/node99.html
-%%PORTDOCS%%%%DOCSDIR%%/ccx_2.6.1.ps.gz
+%%PORTDOCS%%%%DOCSDIR%%/ccx_2.7.ps.gz
 %%PORTDOCS%%%%DOCSDIR%%/cgx/WARNINGS
 %%PORTDOCS%%%%DOCSDIR%%/cgx/cgx.css
 %%PORTDOCS%%%%DOCSDIR%%/cgx/cgx.html
@@ -2236,7 +2117,7 @@ bin/cgx
 %%PORTDOCS%%%%DOCSDIR%%/cgx/node97.html
 %%PORTDOCS%%%%DOCSDIR%%/cgx/node98.html
 %%PORTDOCS%%%%DOCSDIR%%/cgx/node99.html
-%%PORTDOCS%%%%DOCSDIR%%/cgx_2.6.1.pdf
+%%PORTDOCS%%%%DOCSDIR%%/cgx_2.7.pdf
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/cgx
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/ccx
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
@@ -2257,6 +2138,9 @@ bin/cgx
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/basic/sphere.fbd
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/basic/sphere_seg.fbd
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/basic/sphere_vol.fbd
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/cad/README
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/cad/halter.fbd
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/cad/halter.vda
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/clean
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/compressor/README
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/compressor/lavff.fbd
@@ -2279,8 +2163,6 @@ bin/cgx
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/map/map2D.fbl
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/map/map3D.fbl
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/map/pressure.bak
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/nurbs/README
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/nurbs/halter.fbd
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/pressfit/README
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/pressfit/flange.fbd
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/pressfit/flange.inp
@@ -2584,8 +2466,6 @@ bin/cgx
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/capacitor.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/carbonseal.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/carbonseal.inp
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/cent.dat.ref
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/cent.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/centheat1.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/centheat1.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/channel1.dat.ref
@@ -2643,30 +2523,6 @@ bin/cgx
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact8.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact9.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact9.inp
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couette1.dat.ref
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couette1.inp
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couette2.dat.ref
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couette2.inp
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couette3.dat.ref
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couette3.inp
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couette4.dat.ref
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couette4.inp
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couette5.dat.ref
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couette5.inp
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couettecycsym.dat.ref
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couettecycsym.inp 
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couettecyl.dat.ref
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couettecyl.inp
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couettecylsegment.dat.ref
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couettecylsegment.inp
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couettecylsegment2.dat.ref
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couettecylsegment2.inp
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couettecylwall.dat.ref
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couettecylwall.frd.ref
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couettecylwall.inp
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couettecylwall2.dat.ref
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couettecylwall2.frd.ref
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couettecylwall2.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/cube2.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/cube2.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/cubenewt.dat.ref
@@ -2807,10 +2663,6 @@ bin/cgx
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/planestress3.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/plate.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/plate.inp
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pois1.dat.ref
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pois1.inp
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pois2d.dat.ref
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pois2d.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pret1.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pret1.frd.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pret1.inp
@@ -2857,12 +2709,6 @@ bin/cgx
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/sc123.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/scheibe.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/scheibe.inp
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/scheibe2.dat.ref
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/scheibe2.frd.ref
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/scheibe2.inp
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/scheibe2mortar.dat.ref
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/scheibe2mortar.frd.ref
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/scheibe2mortar.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/section.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/section.frd.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/section.inp
@@ -2947,12 +2793,12 @@ bin/cgx
 %%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/therm
 %%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/test
 %%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/pressfit
-%%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/nurbs
 %%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/map
 %%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/glue
 %%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/dolfyn/mirror
 %%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/dolfyn
 %%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/compressor
+%%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/cad
 %%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/basic
 %%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/airfoil/ISAAC
 %%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/airfoil/ccx
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Pedro F. Giffuni freebsd_committer 2014-03-10 04:21:52 UTC
State Changed
From-To: open->closed

Committed as r346978